RDKit::ForceFieldsHelper Namespace Reference

## Namespaces

| detail

## Functions

std::pair< int, double > | OptimizeMolecule (ForceFields::ForceField &ff, int maxIters=1000)
| Convenience function for optimizing a molecule using a pre-generated force-field. More...
void | OptimizeMoleculeConfs (ROMol &mol, ForceFields::ForceField &ff, std::vector< std::pair< int, double >> &res, int numThreads=1, int maxIters=1000)
| Convenience function for optimizing all of a molecule's conformations using. More...
void RDKIT_FORCEFIELD_EXPORT | normalizeAngleDeg (double &angleDeg)
void RDKIT_FORCEFIELD_EXPORT | computeDihedral (const RDGeom::PointPtrVect &pos, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, double *dihedral=NULL, double *cosPhi=NULL, RDGeom::Point3D r[4]=NULL, RDGeom::Point3D t[2]=NULL, double d[2]=NULL)
void RDKIT_FORCEFIELD_EXPORT | computeDihedral (const double *pos, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, double *dihedral=NULL, double *cosPhi=NULL, RDGeom::Point3D r[4]=NULL, RDGeom::Point3D t[2]=NULL, double d[2]=NULL)
void RDKIT_FORCEFIELD_EXPORT | computeDihedral (const RDGeom::Point3D *p1, const RDGeom::Point3D *p2, const RDGeom::Point3D *p3, const RDGeom::Point3D *p4, double *dihedral=NULL, double *cosPhi=NULL, RDGeom::Point3D r[4]=NULL, RDGeom::Point3D t[2]=NULL, double d[2]=NULL)

## Function Documentation

## computeDihedral() [1/3]

void RDKIT_FORCEFIELD_EXPORT RDKit::ForceFieldsHelper::computeDihedral | ( | const double * | pos,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | double * | dihedral = `NULL`,
|  | double * | cosPhi = `NULL`,
|  | RDGeom::Point3D | r[4] = `NULL`,
|  | RDGeom::Point3D | t[2] = `NULL`,
|  | double | d[2] = `NULL`
| ) |  |

## computeDihedral() [2/3]

void RDKIT_FORCEFIELD_EXPORT RDKit::ForceFieldsHelper::computeDihedral | ( | const RDGeom::Point3D * | p1,
|  | const RDGeom::Point3D * | p2,
|  | const RDGeom::Point3D * | p3,
|  | const RDGeom::Point3D * | p4,
|  | double * | dihedral = `NULL`,
|  | double * | cosPhi = `NULL`,
|  | RDGeom::Point3D | r[4] = `NULL`,
|  | RDGeom::Point3D | t[2] = `NULL`,
|  | double | d[2] = `NULL`
| ) |  |

## computeDihedral() [3/3]

void RDKIT_FORCEFIELD_EXPORT RDKit::ForceFieldsHelper::computeDihedral | ( | const RDGeom::PointPtrVect & | pos,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | double * | dihedral = `NULL`,
|  | double * | cosPhi = `NULL`,
|  | RDGeom::Point3D | r[4] = `NULL`,
|  | RDGeom::Point3D | t[2] = `NULL`,
|  | double | d[2] = `NULL`
| ) |  |

## normalizeAngleDeg()

void RDKIT_FORCEFIELD_EXPORT RDKit::ForceFieldsHelper::normalizeAngleDeg | ( | double & | angleDeg | ) |

## OptimizeMolecule()

std::pair<int, double> RDKit::ForceFieldsHelper::OptimizeMolecule | ( | ForceFields::ForceField & | ff,
|  | int | maxIters = `1000`
| ) |  |

Convenience function for optimizing a molecule using a pre-generated force-field.

Definition at line 86 of file FFConvenience.h.

References ForceFields::ForceField::calcEnergy(), ForceFields::ForceField::initialize(), and ForceFields::ForceField::minimize().

Referenced by RDKit::MMFF::MMFFOptimizeMolecule(), and RDKit::UFF::UFFOptimizeMolecule().

## OptimizeMoleculeConfs()

void RDKit::ForceFieldsHelper::OptimizeMoleculeConfs | ( | ROMol & | mol,
|  | ForceFields::ForceField & | ff,
|  | std::vector< std::pair< int, double >> & | res,
|  | int | numThreads = `1`,
|  | int | maxIters = `1000`
| ) |  |

Convenience function for optimizing all of a molecule's conformations using.

Definition at line 106 of file FFConvenience.h.

References RDKit::ROMol::getNumConformers(), RDKit::getNumThreadsToUse(), and RDKit::ForceFieldsHelper::detail::OptimizeMoleculeConfsST().

Referenced by RDKit::MMFF::MMFFOptimizeMoleculeConfs(), and RDKit::UFF::UFFOptimizeMoleculeConfs().